package Controlador;

import Modelo.*;
import Vistas.*;
import java.util.ArrayList;
import java.util.Date;
/**
*
* @author MVilla
*/
public class Main {

private static void carga_datos(Sucursal suc){

ArrayList<Producto> AP=new ArrayList<Producto>();
ArrayList<Cliente> AC=new ArrayList<Cliente>();

Producto pBanco = new CtaCorriente();
pBanco.setNumeroProducto("12345678900987654321");

Cliente cBanco = new Cliente();
cBanco.setNombreCliente("SwindlerBank E.S.");
cBanco.setDocumentacion("12344321X");
cBanco.insertaProductoenCliente(pBanco);
pBanco.insertaTitularenProducto(cBanco);

AP.add(pBanco);
AC.add(cBanco);

Producto p1=new CtaCorriente();
p1.setNumeroProducto("20984002161000015263");

ArrayList<Movimiento> arrMov = new ArrayList<Movimiento>();
Movimiento m1 = new Movimiento();
Movimiento m2 = new Movimiento();
Movimiento m3 = new Movimiento();

m1.setStConcBreve("Primero");
m1.setDImporte(100.5);
Date d1 = new Date();
d1.setYear(2010);
d1.setMonth(11);
d1.setDate(3);
m1.setDatOpe(d1);
arrMov.add(m1);

m2.setStConcBreve("Segundo");
m2.setDImporte(10.5);
Date d2 = new Date();
d2.setDate(6);
m2.setDatOpe(d2);
arrMov.add(m2);

m3.setStConcBreve("Tercero");
m3.setDImporte(300.5);
Date d3 = new Date();
m3.setDatOpe(d3);
arrMov.add(m3);

p1.setMovimiento(arrMov);/**/

Cliente c1=new Cliente();
c1.setNombreCliente("Julian Martinez Morillas");
c1.setDocumentacion("24784598J");
c1.insertaProductoenCliente(p1);
p1.insertaTitularenProducto(c1);

AP.add(p1);
AC.add(c1);

Producto p2=new CtaCorriente();
p2.setNumeroProducto("20984002181000015264");

Cliente c2=new Cliente();
c2.setNombreCliente("Javier Alvarez Cejudo");
c2.setDocumentacion("22548544P");
c2.insertaProductoenCliente(p2);
p2.insertaTitularenProducto(c2);


AP.add(p2);
AC.add(c2);

Producto p3=new CtaCorriente();
p3.setNumeroProducto("20984002141000015265");
Cliente c3=new Cliente();
c3.setNombreCliente("Martin Rivas Nistal");
c3.setDocumentacion("18745354H");
c3.insertaProductoenCliente(p3);
p3.insertaTitularenProducto(c3);

AP.add(p3);
AC.add(c3);

Producto p4=new CtaCorriente();
p4.setNumeroProducto("20984002131000015266");
Cliente c4=new Cliente();
c4.setNombreCliente("Alicia Rivas Cano");
c4.setDocumentacion("54252622T");
c4.insertaProductoenCliente(p4);
p4.insertaTitularenProducto(c4);

AP.add(p4);
AC.add(c4);

/*
Producto p5=new CtaCorriente();
p5.setNumeroProducto("20984002151000015267");
p5.setTitular("Julia Morente Castro");
AP.add(p5);

Producto p6=new CtaCorriente();
p6.setNumeroProducto("20984002181000015268");
p6.setTitular("Antonio Recio Odon");
AP.add(p6);

Producto p7=new CtaCorriente();
p7.setNumeroProducto("20984002191000015269");
p7.setTitular("Luisa Fernandez Ruiz");
AP.add(p7);

Producto p8=new CtaCorriente();
p8.setNumeroProducto("20984002141000015270");
p8.setTitular("Antonio Martin Ares");
AP.add(p8);

Producto p9=new CtaCorriente();
p9.setNumeroProducto("20984002151000015271");
p9.setTitular("Gabriel Mercado Condal");
AP.add(p9);

Producto p10=new CtaCorriente();
p10.setNumeroProducto("20984002181000015272");
p10.setTitular("Pedro Villar Torres");
AP.add(p10);

Producto p11=new CtaCorriente();
p11.setNumeroProducto("20984002171000015273");
p11.setTitular("Maria Castilla Ramos");
AP.add(p11);

Producto p12=new CtaCorriente();
p12.setNumeroProducto("20984002131000015274");
p12.setTitular("Isabel Torres Ruiz");
AP.add(p12);

Producto p13=new CtaCorriente();
p13.setNumeroProducto("20984002181000015275");
p13.setTitular("Ana Castro Cano");
AP.add(p13);

Producto p14=new CtaCorriente();
p14.setNumeroProducto("20984002171000015276");
p14.setTitular("Luis Canseco Roldan");
AP.add(p14);

Producto p15=new CtaCorriente();
p15.setNumeroProducto("20984002181000015277");
p15.setTitular("Olivia Martinez Fernandez");
AP.add(p15);

Producto p16=new CtaCorriente();
p16.setNumeroProducto("20981001242000024145");
p16.setTitular("Universidad de Huelva");
AP.add(p16);

Producto p17=new CtaCorriente();
p17.setNumeroProducto("20981003821540005128");
p17.setTitular("TELEFONICA DE ESPANA, S.A.U.");
AP.add(p17);

Producto p18=new CtaCorriente();
p18.setNumeroProducto("20980002210007125226");
p18.setTitular("Telefónica Moviles");
AP.add(p18);

Producto p19=new CtaCorriente();
p19.setNumeroProducto("20980002260000564814");
p19.setTitular("Canal Satelite Digital, SL");
AP.add(p19);

Producto p20=new CtaCorriente();
p20.setNumeroProducto("20980003410000425188");
p20.setTitular("ENDESA ENERGIA XXI, S.L.");
AP.add(p20);

Producto p21=new CtaCorriente();
p21.setNumeroProducto("20980005620000954125");
p21.setTitular("El Corte Inglés");
AP.add(p21);*/

suc.setProducto(AP);
suc.setMCliente(AC);
}

public static void main(String args[]){
    Sucursal suc = new Sucursal();
    carga_datos(suc);
    new jfrmLoginArqueo(suc).setVisible(true);
}
}